## NAME

           rtf_destroy   -  remove  a  real-time  fifo  created  with
           rtf_create(3)

## SYNOPSIS

           #include <rtl_fifo.h>

           int rtf_destroy(unsigned int fifo);

## DESCRIPTION

           rtf_destroy removes a real-time fifo (RT-FIFO)  previously
           created  with  rtf_create(3).   fifo is then available for
           reuse by another call to rtf_create(3).

           The RT-FIFO is a mechanism,  implemented  as  a  character
           device,  to  communicate between real-time tasks and ordi
           nary Linux processes.  The rtf_* functions are used by the
           real-time  tasks;  Linux  processes use standard character
           device access functions such  as  read(2),  write(2),  and
           select(2).

## RETURN VALUE

           On  success,  0  is returned.  On failure, -1 is returned,
           and errno is set as described below.

## ERRORS

           -ENODEV
                  fifo is greater than or equal to RTF_NO.

           -EINVAL
                  fifo is not a valid RT-FIFO identifier.

## NOTES

           This function can only be called in the Linux kernel mode.

## SEE ALSO

           rtf_create(3),      rtf_create_handler(3),     rtf_get(3),
           rtf_put(3)